package com.zhentao.hotel.controller;

import com.zhentao.hotel.dto.HotelDto;
import com.zhentao.hotel.service.HotelsService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("hotel")
public class Hotel_Controller {
    @Autowired
    private HotelsService service;
//    查询酒店的基本信息
    @PostMapping("list")
    public Result list(@RequestBody HotelDto hotelDto){
        return service.findAll(hotelDto);
    }

}
