package com.zhentao.touristAttractions.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.touristAttractions.domain.Ticketinfo;
import com.zhentao.touristAttractions.dto.TickentinfoDto;
import com.zhentao.touristAttractions.service.TicketinfoService;
import com.zhentao.touristAttractions.mapper.TicketinfoMapper;
import com.zhentao.vo.Result;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 86183
* @description 针对表【TicketInfo(门票信息表)】的数据库操作Service实现
* @createDate 2025-05-22 17:29:49
*/
@Service
public class TicketinfoServiceImpl extends ServiceImpl<TicketinfoMapper, Ticketinfo>
    implements TicketinfoService{

    @Override
    public Result findAll(TickentinfoDto dto) {
        QueryWrapper<Ticketinfo> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("tid",dto.getTourId());
        List<Ticketinfo> list = this.list(queryWrapper);
        return Result.OK(list,"查询成功");
    }
}




